#
# Common.make - Common items used by all Makefiles
#
# Written 2001 by Werner Almesberger
# Copyright 2001 EPFL-ICA, Network Robots
#

# CC_OPTS: CC options for tcsim
# pick one of CFLAGS_DEBUG, CFLAGS_PROFILE, or CFLAGS_OPT

CC_OPTS=$(CFLAGS_DEBUG)

# LD_OPTS: LD options for tcc and tcsim

LD_OPTS=#-lefence

# SSH_UPLOAD: directory to which new versions are uploaded with SSH

SSH_UPLOAD=almesber@lrcsun1.epfl.ch:/home/ftp/pub/linux/tcng

# SF_SHELL: account on SourceForge, and project host name
# SF_DIR: Web base directory
# SF_UPLOAD: Upload directory
# SF_SCRIPT: Script to update release information

SF_ACCOUNT=almesber@tcng.sourceforge.net
SF_DIR=/home/groups/t/tc/tcng/htdocs
SF_UPLOAD=$(SF_ACCOUNT):$(SF_DIR)/dist
SF_SCRIPT=$(SF_DIR)/release.sh

#------------------------------------------------------------------------------

CFLAGS_DEBUG=-g
CFLAGS_PROFILE=-pg
CFLAGS_OPT=-O -D__NO_STRING_INLINES
CFLAGS_WARN=-Wall -Wstrict-prototypes -Wmissing-prototypes \
	    -Wmissing-declarations
LEX=flex
YYFLAGS=-v

.PHONY:			clean-mod

clean-mod:
			rm -f _*.mdi *__*.*o	# tcc-module
			rm -f __*.out		# tcc-ext-test
